﻿using UnityEngine;
using System.Collections;
using System.Threading;

public class KeyboardController : MonoBehaviour
{

    public Transform target;
    public float yMinLimit = -20f;
    public float yMaxLimit = 30f;


    //thresholds for the left and right fields
    private int leftThreshold;
    private int rightThreshold;


    public CapTapConnector captap;

    // Use this for initialization
    void Start()
    {
        captap = this.gameObject.AddComponent<CapTapConnector>();
        //connect to captap
        if (captap == null) Debug.Log("captap war null");
        Thread worker = new Thread(captap.startClient);
        worker.Start();



    }

    void LateUpdate()
    {
        if (captap.recentLeftHand == null)
        {
            Debug.Log("recent hand was null");
            return;
        }
        if (target && (captap.recentLeftHand.x != -1))
        {

            //detect if left or right magic values are 100 and 270 as thresholds for x coodinate	
            int leftright = 0;
            if (captap.recentLeftHand.x < leftThreshold)
                leftright = -1;
            else if (captap.recentLeftHand.x >= rightThreshold)
                leftright = 1;

            //reset captap hand value
            captap.recentLeftHand.x = -1;


            //check if there was a knock event
            if (captap.recentKnock != null)
            {
                //reset knock
                captap.recentKnock = null;
                ButtonClicked();
            }
        }

    }


    //gets called when knocked
    public void ButtonClicked()
    {
        Debug.Log("Button was clicked");
    }

}